OpenVDB 7.0.0

Public Types | Static Public Member Functions | List of all members
LevelSetHDDA< TreeT, NodeLevel > Struct Template Reference

Helper class that implements Hierarchical Digital Differential Analyzers and is specialized for ray intersections with level sets. More...

`#include <DDA.h>`

## Public Types
using | ChainT = typename TreeT::RootNodeType::NodeChainType
using | NodeT = typename boost::mpl::at< ChainT, boost::mpl::int_< NodeLevel > >::type

## Static Public Member Functions
template<typename TesterT >
static bool | test (TesterT &tester)

## Detailed Description

### template<typename TreeT, int NodeLevel>
struct openvdb::v7_0::math::LevelSetHDDA< TreeT, NodeLevel >

Helper class that implements Hierarchical Digital Differential Analyzers and is specialized for ray intersections with level sets.

## Member Typedef Documentation

## ◆ ChainT

using ChainT = typename TreeT::RootNodeType::NodeChainType

## ◆ NodeT

using NodeT = typename boost::mpl::at<ChainT, boost::mpl::int_<NodeLevel> >::type

## Member Function Documentation

## ◆ test()

static bool test | ( | TesterT & | tester | ) |
| inline static

The documentation for this struct was generated from the following file:

- DDA.h